#350 error in removing a deleted row more than once

2.2rc1
closed-fixed
Core (462)
5
2015-03-02
2006-03-01
Anonymous
No

When a row is deleted from the content tab of the
session window, the content is removed but the table
still shows a blank row. Attempt to remove this row
again causes an exception. In my case, the deleted row
also happens to be the last row.

The squirrel-sql.log:
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
-
#############################################################################################################
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- # Starting SQuirreL SQL Client Version 2.1 final at
3/1/06 11:01 PM
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
-
#############################################################################################################
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- SQuirreL SQL Client Version 2.1 final started: Wed
Mar 01 23:01:27 SGT 2006
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- Copyright (c) 2001-2005 Colin Bell and others
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.vendor: Sun Microsystems Inc.
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.version: 1.5.0_06
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.runtime.name: Java(TM) 2 Runtime Environment,
Standard Edition
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- os.name: Windows XP
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- os.version: 5.1
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- os.arch: x86
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- user.dir: C:\work\squirrel-sql-2.1
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- user.home: C:\Documents and Settings\slyap
10 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.home: c:\Progra~1\Java\jdk1.5.0_06\jre
10 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.class.path:
.\squirrel-sql.jar;.\lib\commons-cli.jar;.\lib\forms.jar;.\lib\fw.jar;.\lib\log4j.jar;.\lib\nanoxml-2.1.jar;c:\work\DB-DER~1.1-B\lib\derbyclient.jar;c:\work\DB-DER~1.1-B\lib\derbytools.jar;
1082 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.attachments.ManagedMemoryDataSource to
check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/activation/DataSource
1322 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.transport.http.AdminServlet to check if
it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/servlet/http/HttpServlet
1332 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.transport.http.AxisServlet to check if
it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/servlet/http/HttpServlet
1332 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.transport.http.AxisServletBase to check
if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/servlet/http/HttpServlet
3556 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JCFinderFactory$GlobalPathListener
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/api/java/classpath/GlobalPathRegistryListener
3566 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeCallableFeature
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/CallableFeature
3566 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeConstructor
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/Constructor
3566 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeJavaDoc
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/JavaDoc
3566 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeMethod to
check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/Method
3566 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeParameter
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/Parameter
3566 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeTagValue
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/TagValue
3646 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.NbJavaFoldManager$WeakParsingListener
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/modules/javacore/internalapi/ParsingListener
3656 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.NbJavaFoldManager to
check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/modules/javacore/internalapi/ParsingListener
3796 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
com.Ostermiller.Syntax.ToHTMLAntTask$1 to check if it
is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/apache/tools/ant/util/FileNameMapper
3806 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load com.Ostermiller.Syntax.ToHTMLAntTask
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/apache/tools/ant/taskdefs/MatchingTask
5498 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin codecompletion created in 10 ms, loaded in 0 ms,
initialized in 0 ms, total 10 ms.
5498 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sqlbookmark created in 0 ms, loaded in 0 ms,
initialized in 20 ms, total 20 ms.
5498 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin mysql created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5508 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin graph created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5508 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin firebird created in 0 ms, loaded in 0 ms,
initialized in 0 ms, total 0 ms.
5508 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sessionscript created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5508 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sqlval created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5508 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin syntax created in 10 ms, loaded in 0 ms,
initialized in 60 ms, total 70 ms.
5518 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin editextras created in 0 ms, loaded in 0 ms,
initialized in 20 ms, total 20 ms.
5518 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sqlscript created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5518 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin oracle created in 10 ms, loaded in 0 ms,
initialized in 10 ms, total 20 ms.
5528 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin i18n created in 0 ms, loaded in 0 ms,
initialized in 0 ms, total 0 ms.
5528 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin laf created in 10 ms, loaded in 290 ms,
initialized in 0 ms, total 300 ms.
5528 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin mssql created in 10 ms, loaded in 0 ms,
initialized in 10 ms, total 20 ms.
61399 [AWT-EventQueue-1] INFO
net.sourceforge.squirrel_sql.client.Application -
Application shutting down 3/1/06 11:02 PM.
63061 [AWT-EventQueue-1] INFO
net.sourceforge.squirrel_sql.client.Application -
Application shutdown complete 3/1/06 11:02 PM.
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
-
#############################################################################################################
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- # Starting SQuirreL SQL Client Version 2.1 rc2 at
3/1/06 11:04 PM
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
-
#############################################################################################################
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- SQuirreL SQL Client Version 2.1 rc2 started: Wed Mar
01 23:04:48 SGT 2006
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- Copyright (c) 2001-2005 Colin Bell and others
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.vendor: Sun Microsystems Inc.
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.version: 1.5.0_06
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.runtime.name: Java(TM) 2 Runtime Environment,
Standard Edition
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- os.name: Windows XP
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- os.version: 5.1
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- os.arch: x86
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- user.dir: C:\work\squirrel-sql-2.1rc2
0 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- user.home: C:\Documents and Settings\slyap
10 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.home: c:\Progra~1\Java\jdk1.5.0_06\jre
10 [main] INFO
net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory
- java.class.path:
.\squirrel-sql.jar;.\lib\commons-cli.jar;.\lib\forms.jar;.\lib\fw.jar;.\lib\log4j.jar;.\lib\nanoxml-2.1.jar;c:\work\DB-DER~1.1-B\lib\derbyclient.jar;c:\work\DB-DER~1.1-B\lib\derbytools.jar;
1031 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.attachments.ManagedMemoryDataSource to
check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/activation/DataSource
1312 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.transport.http.AdminServlet to check if
it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/servlet/http/HttpServlet
1312 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.transport.http.AxisServlet to check if
it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/servlet/http/HttpServlet
1312 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.apache.axis.transport.http.AxisServletBase to check
if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
javax/servlet/http/HttpServlet
3835 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JCFinderFactory$GlobalPathListener
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/api/java/classpath/GlobalPathRegistryListener
3845 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeCallableFeature
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/CallableFeature
3845 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeConstructor
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/Constructor
3845 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeJavaDoc
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/JavaDoc
3845 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeMethod to
check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/Method
3845 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeParameter
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/Parameter
3855 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.JMIUtils$FakeTagValue
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/jmi/javamodel/TagValue
3935 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.NbJavaFoldManager$WeakParsingListener
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/modules/javacore/internalapi/ParsingListener
3935 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
org.netbeans.modules.editor.java.NbJavaFoldManager to
check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/netbeans/modules/javacore/internalapi/ParsingListener
4086 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load
com.Ostermiller.Syntax.ToHTMLAntTask$1 to check if it
is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/apache/tools/ant/util/FileNameMapper
4086 [main] INFO
net.sourceforge.squirrel_sql.client.plugin.PluginManager
- Failed to load com.Ostermiller.Syntax.ToHTMLAntTask
to check if it is assignable to
net.sourceforge.squirrel_sql.client.plugin.IPlugin.
Reason: java.lang.NoClassDefFoundError:
org/apache/tools/ant/taskdefs/MatchingTask
5558 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin codecompletion created in 0 ms, loaded in 0 ms,
initialized in 0 ms, total 0 ms.
5558 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sqlbookmark created in 0 ms, loaded in 0 ms,
initialized in 20 ms, total 20 ms.
5558 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin mysql created in 0 ms, loaded in 0 ms,
initialized in 20 ms, total 20 ms.
5558 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin graph created in 0 ms, loaded in 0 ms,
initialized in 0 ms, total 0 ms.
5568 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin firebird created in 0 ms, loaded in 10 ms,
initialized in 0 ms, total 10 ms.
5568 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sessionscript created in 10 ms, loaded in 0 ms,
initialized in 10 ms, total 20 ms.
5568 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sqlval created in 0 ms, loaded in 0 ms,
initialized in 20 ms, total 20 ms.
5568 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin syntax created in 10 ms, loaded in 0 ms,
initialized in 61 ms, total 71 ms.
5578 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin editextras created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5578 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin sqlscript created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5578 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin oracle created in 0 ms, loaded in 0 ms,
initialized in 10 ms, total 10 ms.
5578 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin laf created in 0 ms, loaded in 290 ms,
initialized in 0 ms, total 290 ms.
5578 [main] INFO
net.sourceforge.squirrel_sql.client.Application -
Plugin mssql created in 0 ms, loaded in 10 ms,
initialized in 10 ms, total 20 ms.
6077749 [AWT-EventQueue-1] ERROR
net.sourceforge.squirrel_sql.client.Application -
Exeption occured dispatching Event
java.awt.event.MouseEvent[MOUSE_RELEASED,(427,440),button=1,modifiers=Button1,clickCount=1]
on frame0
java.lang.ArrayIndexOutOfBoundsException: 1
at
net.sourceforge.squirrel_sql.fw.gui.SortableTableModel.getValueAt(SortableTableModel.java:109)
at
net.sourceforge.squirrel_sql.fw.datasetviewer.DataSetViewerEditableTablePanel.deleteRows(DataSetViewerEditableTablePanel.java:301)
at
net.sourceforge.squirrel_sql.fw.gui.TablePopupMenu$DeleteRowsAction.actionPerformed(TablePopupMenu.java:344)
at
javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1849)
at
javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2169)
at
javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
at
javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
at
javax.swing.AbstractButton.doClick(AbstractButton.java:302)
at
javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1000)
at
javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1041)
at
java.awt.Component.processMouseEvent(Component.java:5488)
at
javax.swing.JComponent.processMouseEvent(JComponent.java:3126)
at java.awt.Component.processEvent(Component.java:5253)
at java.awt.Container.processEvent(Container.java:1966)
at
java.awt.Component.dispatchEventImpl(Component.java:3955)
at
java.awt.Container.dispatchEventImpl(Container.java:2024)
at java.awt.Component.dispatchEvent(Component.java:3803)
at
java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4212)
at
java.awt.LightweightDispatcher.processMouseEvent(Container.java:3892)
at
java.awt.LightweightDispatcher.dispatchEvent(Container.java:3822)
at
java.awt.Container.dispatchEventImpl(Container.java:2010)
at java.awt.Window.dispatchEventImpl(Window.java:1774)
at java.awt.Component.dispatchEvent(Component.java:3803)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
at
net.sourceforge.squirrel_sql.client.Application$1.dispatchEvent(Application.java:172)
at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
at
java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
6086602 [AWT-EventQueue-1] ERROR
net.sourceforge.squirrel_sql.client.Application -
Exeption occured dispatching Event
java.awt.event.MouseEvent[MOUSE_RELEASED,(525,439),button=1,modifiers=Button1,clickCount=1]
on frame0
java.lang.ArrayIndexOutOfBoundsException: 1
at
net.sourceforge.squirrel_sql.fw.gui.SortableTableModel.getValueAt(SortableTableModel.java:109)
at
net.sourceforge.squirrel_sql.fw.datasetviewer.DataSetViewerEditableTablePanel.deleteRows(DataSetViewerEditableTablePanel.java:301)
at
net.sourceforge.squirrel_sql.fw.gui.TablePopupMenu$DeleteRowsAction.actionPerformed(TablePopupMenu.java:344)
at
javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1849)
at
javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2169)
at
javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
at
javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
at
javax.swing.AbstractButton.doClick(AbstractButton.java:302)
at
javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1000)
at
javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1041)
at
java.awt.Component.processMouseEvent(Component.java:5488)
at
javax.swing.JComponent.processMouseEvent(JComponent.java:3126)
at java.awt.Component.processEvent(Component.java:5253)
at java.awt.Container.processEvent(Container.java:1966)
at
java.awt.Component.dispatchEventImpl(Component.java:3955)
at
java.awt.Container.dispatchEventImpl(Container.java:2024)
at java.awt.Component.dispatchEvent(Component.java:3803)
at
java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4212)
at
java.awt.LightweightDispatcher.processMouseEvent(Container.java:3892)
at
java.awt.LightweightDispatcher.dispatchEvent(Container.java:3822)
at
java.awt.Container.dispatchEventImpl(Container.java:2010)
at java.awt.Window.dispatchEventImpl(Window.java:1774)
at java.awt.Component.dispatchEvent(Component.java:3803)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
at
net.sourceforge.squirrel_sql.client.Application$1.dispatchEvent(Application.java:172)
at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
at
java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
6405811 [AWT-EventQueue-1] INFO
net.sourceforge.squirrel_sql.client.Application -
Application shutting down 3/2/06 12:51 AM.
6406942 [AWT-EventQueue-1] INFO
net.sourceforge.squirrel_sql.client.Application -
Application shutdown complete 3/2/06 12:51 AM.

Discussion

  • Rob Manning

    Rob Manning - 2006-04-12
    • labels: 336290 --> Core
    • milestone: --> 2.2rc1
    • status: open --> closed-fixed
     
  • Rob Manning

    Rob Manning - 2006-04-12

    Logged In: YES
    user_id=1287991

    Fixed in CVS. Will be available in the next snapshot or
    release build.

    Rob

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks